#ifndef REPOINDEX_SUGGESTIONSLOOKUP_H
#define REPOINDEX_SUGGESTIONSLOOKUP_H

#include "./packagelookup.h"

namespace RepoIndex {

class Manager;
class Repository;

class SuggestionsLookup : public PackageLookup
{
    Q_OBJECT
public:
    SuggestionsLookup(Manager &manager, const QJsonObject &request, QObject *parent = nullptr);

private slots:
    void performLookup();
    void addResults();

private:
    QList<Repository *> m_repos;
    const QString m_searchTerm;
};

} // namespace RepoIndex

#endif // REPOINDEX_SUGGESTIONSLOOKUP_H
